summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorTorsten Grote <t@grobox.de>2020-08-18 11:35:28 -0300
committerTorsten Grote <t@grobox.de>2020-08-18 11:36:07 -0300
commit612876e44de35cdbd563ac2ce40dcd1d4e397bc5 (patch)
treeb2127aff7376b7d2304e300d216d838a2e1d2595 /bootstrap
parent451157d992a4c771e3bdf80b6563f80fb1582c77 (diff)
downloadtaler-android-612876e44de35cdbd563ac2ce40dcd1d4e397bc5.tar.gz
taler-android-612876e44de35cdbd563ac2ce40dcd1d4e397bc5.tar.bz2
taler-android-612876e44de35cdbd563ac2ce40dcd1d4e397bc5.zip
Include Taler common Kotlin library as a submodule
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap14
1 files changed, 14 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..1b71b37
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+